Bug 1259157 - oslo_utils has changed into oslo.utils [NEEDINFO]
oslo_utils has changed into oslo.utils
Product: Fedora
Classification: Fedora
Component: python-heatclient (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Ruzicka
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-02 02:31 EDT by David Juran
Modified: 2016-05-11 17:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-11 17:37:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rybrown: needinfo? (jruzicka)

Attachments (Terms of Use)

  None (edit)
Description David Juran 2015-09-02 02:31:27 EDT
Description of problem:
[djuran@localhost ~]$ heat
Traceback (most recent call last):
  File "/usr/bin/heat", line 6, in <module>
    from heatclient.shell import main
  File "/usr/lib/python2.7/site-packages/heatclient/shell.py", line 23, in <module>
    from oslo_utils import encodeutils
ImportError: No module named oslo_utils

Version-Release number of selected component (if applicable):

Additional info:
Seems structure of oslo-utils has changed, guess it should be 
from oslo.utils import encodeutils
Comment 1 Ryan Brown 2015-09-03 16:07:31 EDT
I believe it's the other way around. Oslo_utils used to be "oslo.utils" but has been moved out of the namespace to its own package. Is there a more recent version of python-oslo-utils available?
Comment 2 David Juran 2015-09-04 06:12:27 EDT
Ah, of course.
Well, Fedora 23 has python-oslo-utils-1.4 published, so maybe a bump is required in F22. Or is it python-heatclient that is too recent for it's own good?
Comment 3 Ryan Brown 2015-09-04 11:48:35 EDT
It may be a too-new-for-its-own-good situation, but downgrading would probably be tough since we've already released it. 

It might be possible to patch 0.6 to use an older oslo-utils, but that might be a brittle/insufficient solution. 

Jakub, can you weigh in on the options here?
Comment 4 salvatore dario minonne 2015-12-15 09:45:50 EST
Just faced this issue.
Not clear to me what is the solution: should I move to fedora23?
Comment 5 David Juran 2015-12-16 08:08:58 EST
Ideally this bug should be fixed in F22 but I can confirm the issue is fixed in F23 with python-heatclient-0.6.0-2
Comment 6 salvatore dario minonne 2015-12-17 04:32:56 EST
:) got it.

Note You need to log in before you can comment on or make changes to this bug.